--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Modifies expectation so that the expected method must be called at least once.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:expected_method).at_least_once\n  object.expected_method\n  # =&gt; verify succeeds\n\n  object = mock()\n  object.expects(:expected_method).at_least_once\n  # =&gt; verify fails\n"
full_name: Mocha::Expectation#at_least_once
is_singleton: false
name: at_least_once
params: " at_least_once() -> expectation\n"
visibility: public
